%define luaver  5.2
%define luaoldver 5.1
%define lualibdir %{_libdir}/lua
%define luapkgdir %{_datadir}/lua
%define oname   luasocket

%define rcnum      rc1

Summary:        Network access library for the Lua programming language
Name:           lua-socket
Version:        3.0
Release:        %mkrel -c %{rcnum} 3
License:        MIT
Group:          Development/Other
URL:            http://www.impa.br/~diego/software/luasocket
Source0:        https://github.com/diegonehab/luasocket/archive/v%{version}-%{rcnum}.tar.gz

BuildRequires:  pkgconfig(lua) >= %{luaver}
Requires:       lua >= %{luaver}

%description
LuaSocket is a Lua extension library that is composed by two parts: a
C layer that provides support for the TCP and UDP transport layers,
and a set of Lua modules that add support for the SMTP (sending
e-mails), HTTP (WWW access) and FTP (uploading and downloading files)
protocols.

This package was built for Lua %{luaver}.
See %{name}%{luaoldver} for the Lua %{luaoldver} compatibility version.

%package -n     %{name}%{luaoldver}
Summary:        %{summary} (Lua 5.1)
Group:          %{group}
Requires:       lua%{luaoldver}

%description -n %{name}%{luaoldver}
LuaSocket is a Lua extension library that is composed by two parts: a
C layer that provides support for the TCP and UDP transport layers,
and a set of Lua modules that add support for the SMTP (sending
e-mails), HTTP (WWW access) and FTP (uploading and downloading files)
protocols.

This package was built for Lua %{luaoldver}.
See %{name} for the Lua %{luaver} version.

%prep
%setup -q -n %{oname}-%{version}-%{rcnum}
sed -i -e "s@CDIR_linux?=lib/lua@CDIR_linux?=%{_lib}/lua@g" \
    src/makefile

%build
%setup_compile_flags
%make

%install
%make install-both-unix \
    DESTDIR=%{buildroot} \
    LUAPREFIX_linux=%{_prefix}

%files
%doc NEW README doc/*
%{lualibdir}/%{luaver}/mime/*.so
%{lualibdir}/%{luaver}/socket/*.so
%{luapkgdir}/%{luaver}/*.lua
%{luapkgdir}/%{luaver}/socket/*.lua

%files -n       %{name}%{luaoldver}
%doc NEW README doc/*
%{lualibdir}/%{luaoldver}/mime/*.so
%{lualibdir}/%{luaoldver}/socket/*.so
%{luapkgdir}/%{luaoldver}/*.lua
%{luapkgdir}/%{luaoldver}/socket/*.lua


%changelog
* Fri Mar 04 2016 luigiwalser <luigiwalser> 3.0-0.rc1.3.mga6
+ Revision: 985780
- fix invalid usage of rel macro

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild
    - Mageia 6 Mass Rebuild
    - Mageia 6 Mass Rebuild
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 3.0-0.rc1.2.mga5
+ Revision: 661582
- Fix requires of lua5.1 package

* Sun Aug 10 2014 akien <akien> 3.0-0.rc1.1.mga5
+ Revision: 661548
- Version 3.0 rc1
- Use "make install-both-unix" to provide both Lua 5.2 and 5.1 builds

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-8.mga4
+ Revision: 507593
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-7.mga3
+ Revision: 359071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 2.0.2-6.mga3
+ Revision: 334419
- Force Lua 5.1

* Sun Mar 13 2011 shikamaru <shikamaru> 2.0.2-5.mga1
+ Revision: 70270
- imported package lua-socket

